package com.bwie.user.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author：chaiyapeng
 * @Package：com.bwie.user.controller
 * @Project：bwie-g6_day13rk
 * @name：UserController
 * @Date：2024/8/1 8:44
 */
@RestController
@RequestMapping("user")
public class UserController {
    @Autowired
    private UserService service;

    @PostMapping("userLogin")
    public Result<User> userLogin(@RequestBody User user){
        return service.userLogin(user);
    }
}
