package com.bwie.user.service.impl;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.user.mapper.UserMapper;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author：chaiyapeng
 * @Package：com.bwie.user.service.impl
 * @Project：bwie-g6_day13rk
 * @name：UserServiceImpl
 * @Date：2024/8/1 8:45
 */
@Service
public class UserServiceImpl implements UserService {
    @Autowired
    private UserMapper mapper;
    @Override
    public Result<User> userLogin(User user) {
        User user1 = mapper.userLogin(user);
        if (!user1.getUserPwd().equals(user.getUserPwd())){
            return Result.error("用户名密码错误");
        }
        if (user1==null){
            return Result.error("用户名不存在");
        }
        return Result.success(user1,user.getUserName()+"登录成功");
    }
}
